# new_planner_test
本项目用于测试 DorisDB 新 Planner 的正确性和性能

## 1 修改配置（config.properties）
HTTP_PORT为fe.conf中的http_port

```dtd
CONNECT_URL = jdbc:mysql://39.103.134.93:8880/test
USER = root
PASS = doris
HTTP_PORT = 1234
```

其他可选配置：
1. 慢查询是否收集Profile和Explain，默认为false
2. FRAGMENT_INSTANCE为DorisDB的并行参数，默认使用全局配置
3. COLLECT_RESULT_DATA 结果错误时是否收集结果集，默认为false
4. COLLECT_STATISTIC 是否收集统计信息，默认为false
```dtd
SLOW_PROFILE = true
SLOW_EXPLAIN = true
FRAGMENT_INSTANCE = 16
COLLECT_RESULT_DATA = true
COLLECT_STATISTIC = true
```
## 2 执行测试
config.properties 文件需要和 new_planner_test.jar 文件位于同一目录下
```dtd
java -jar new_planner_test.jar $fe.audit.log.path
```

## 3 分析结果
新旧 Planner 结果不一致，或者新 Planner 性能较差的SQL 会记录到 output/result 文件夹中
